Auteur Sujet: Les noyaux Linux disponibles avec Ubuntu 22.04 LTS  (Lu 3796 fois)

0 Membres et 1 Invité sur ce sujet

vivien

  • Administrateur
  • *
  • Messages: 47 347
    • Twitter LaFibre.info
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #24 le: 22 août 2023 à 08:09:34 »
Je ne comprends vraiment pas pourquoi je n'arrive pas à supprimer cette version 6.2. Même avec l'appli Mainline kernels ça ne fonctionne pas...

J'ai testé mon tutoriel sur un autre PC et j'ai compris, il y avait une erreur.

Pour désinstaller les vieux kernels, j'avais testé avec la ligne de commande lors de la réalisation de mon tutoriel (cf capture d'écran)
sudo apt remove --purge linux-generic-hwe-22.04 linux-oem-22.04 linux-hwe-* linux-oem-* linux-modules-5.19.0-* linux-modules-6.2.0-*

Quand j'ai écrit cet article, j'ai rajouté le noyau 6.5 qui devrait arriver en janvier 2024. C'est un noyeau qui sort dans quelques jours (il est en RC7 en ce moment) et qui devrait être le noyau d'Ubuntu 23.10 :
sudo apt remove --purge linux-generic-hwe-22.04 linux-oem-22.04 linux-hwe-* linux-oem-* linux-modules-5.19.0-* linux-modules-6.2.0-* linux-modules-6.5.0-*

Ajouter un kernel qui n'existe pas est une erreur de ma part, la ligne est en échec et rien n'est désinstallé.

Il faut donc utiliser
1/ Installer le kernel 5.15
2/ Démarrer dessus, en sélectionnant manuellement le kernel 5.15 dans le menu de grub
3/ utiliser la ligne de commande sudo apt remove --purge linux-generic-hwe-22.04 linux-oem-22.04 linux-hwe-* linux-oem-* linux-modules-5.19.0-* linux-modules-6.2.0-*[/size] pour supprimer les kernlel plus récents.

Désolé pour l'erreur.

neopbm

  • Abonné RED by SFR fibre FttH
  • *
  • Messages: 83
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #25 le: 22 août 2023 à 08:39:51 »
Bonjour,

Merci pour les précisions.

Entre temps, j'ai pu me débarrasser du kernel 6.2.0-26 qui pose problème sur ma machine grâce au gestionnaire de paquets Synaptic.
Je suis donc, via ton post, avec le kernel GA. Tout fonctionne et je devrais donc avoir les maj de sécurité nécessaires. C'est cool !

Je verrai si je reviens dans quelques temps (quelques mois pour être sûr), sur le kernel HWE (pour une version supérieure au 6.2.0-26 donc), mais vu l'age de ma config (mai 2022) cela ne devrait pas me faire gagner grand chose (voir même rien du tout) alors...

En tout cas merci encore pour ce tuto,
Bonne journée

vivien

  • Administrateur
  • *
  • Messages: 47 347
    • Twitter LaFibre.info
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #26 le: 22 août 2023 à 08:52:05 »
Pour une configuration récente (moins de 4 ans) les nouveaux noyaux apportent des améliorations de performance.

Par contre, sur les vieux PC (plus de 6 ans), les améliorations sont plus réduites et liées à des optimisations de code, qu'il faut mettre en balance avec une centaine de Mo de mémoire consommé en plus par le noyau HWE. Exemple BBRv2 n'est pas disponible sur Ubuntu 22.04 avec le noyau GA, mais il pourrait arriver avec le noyau HWE dans 6 mois ou 1 an (pas dans le 6.2).

neopbm

  • Abonné RED by SFR fibre FttH
  • *
  • Messages: 83
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #27 le: 22 août 2023 à 08:57:55 »
Donc je verrai, par exemple, en octobre pour refaire la bascule. D'ici là je pense que ça sera une version supérieure à  la 6.2.0-26 problématique.
Est-ce qu'il existe un site pour savoir quelle version sera proposée avec linux-generic-hwe-22.04 ?

vivien

  • Administrateur
  • *
  • Messages: 47 347
    • Twitter LaFibre.info
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #28 le: 22 août 2023 à 09:16:18 »
C'est quoi le bug rencontré ? Tu n'as pas expliqué le problème.

Est-ce qu'il existe un site pour savoir quelle version sera proposée avec linux-generic-hwe-22.04 ?
sudo apt install --install-recommends linux-generic-hwe-22.04

Il te donne la liste du noyau qu'il va installer. Si cela ne convient pas, tu refuses l'installation avec la touche "n"


neopbm

  • Abonné RED by SFR fibre FttH
  • *
  • Messages: 83
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #29 le: 22 août 2023 à 09:27:17 »
Avec ce dernier kernel; j'ai une vitesse Internet et LAN bien plus faible qu'avec l'ancien kernel 5.15.

Cf ici : https://forum.ubuntu-fr.org/viewtopic.php?id=2080515

J'avais testé les versions supérieures et c'était résolu mais ça amenait d'autres problèmes sur ma config...

En l'état, avec le kernel GA, tout ce dont j'ai besoin fonctionne bien donc je vais patienter :)

Merci

vivien

  • Administrateur
  • *
  • Messages: 47 347
    • Twitter LaFibre.info
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #30 le: 22 août 2023 à 09:38:27 »
Ok, pb d'accélération matérielle sur une carte réseau utilisant le module r8169. Attend un peu pour tester, pas sur 6.2.0-27 (déjà en prod pour Ubuntu 23.04) corrige le problème.

"commit 32163491c0c205ffb1596baf9c308dee5338ae94
Merge: 65e6af6cebefb 42f66a44d8371
Author: David S. Miller <email address hidden>
Date: Sat Dec 3 21:49:23 2022 +0000

    Merge branch 'r8169-irq-coalesce'

    Heiner Kallweit says:

    ====================
    net: add and use netdev_sw_irq_coalesce_default_on()

    There are reports about r8169 not reaching full line speed on certain
    systems (e.g. SBC's) with a 2.5Gbps link.
    There was a time when hardware interrupt coalescing was enabled per
    default, but this was changed due to ASPM-related issues on few systems.

    Meanwhile we have sysfs attributes for controlling kind of
    "software interrupt coalescing" on the GRO level. However most distros
    and users don't know about it. So lets set a conservative default for
    both involved parameters. Users can still override the defaults via
    sysfs. Don't enable these settings on the fast ethernet chip versions,
    they are slow enough.

    Even with these conservative setting interrupt load on my 1Gbps test
    system reduced significantly.

    Follow Jakub's suggestion and put this functionality into net core
    so that other MAC drivers can reuse it.
    ====================

neopbm

  • Abonné RED by SFR fibre FttH
  • *
  • Messages: 83
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #31 le: 22 août 2023 à 09:44:41 »
Pas de soucis, ton tuto de passage sur GA me donne le temps de patienter confortablement :)

neopbm

  • Abonné RED by SFR fibre FttH
  • *
  • Messages: 83
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #32 le: 28 août 2023 à 17:21:10 »
Bonjour,

Pour info, le bug est toujours présent avec la version 6.2.0-31 proposée ce jour.
La version GA, mise à jour vers 5.15.0-82, fonctionne toujours nickel.

Bon aprem.

Edit du 19/09/23 : Pb tjs présent en version 6.2.0-33
Edit du 04/10/23 : Bug tjs présent avec la version #034
« Modifié: 04 octobre 2023 à 17:21:57 par neopbm »

neopbm

  • Abonné RED by SFR fibre FttH
  • *
  • Messages: 83
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #33 le: 19 octobre 2023 à 20:43:04 »
Bonjour,

Pour info le bug est toujours actif avec la version 035 proposée ce jour.
J'espère qu'il ne sera plus présent dans le kernel proposé d'office avec la future LTS ::)

Bonne soirée

neopbm

  • Abonné RED by SFR fibre FttH
  • *
  • Messages: 83
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #34 le: 01 novembre 2023 à 19:16:25 »
Bonsoir,

Après quelques essais, j'ai l'impression que tout est ok avec la version 6.2.0-36 !

Bonne soirée

vivien

  • Administrateur
  • *
  • Messages: 47 347
    • Twitter LaFibre.info
Les noyaux Linux disponibles avec Ubuntu 22.04 LTS
« Réponse #35 le: 12 janvier 2024 à 13:10:05 »
Depuis hier, les mises à jour de sécurité Ubuntu entrainent la migration du noyau 6.2 vers le noyau 6.5 pour ceux qui sont sous Ubuntu 22.04 avec kernel HWE